Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000849Core InformSpacing and printingpublic2012-01-26 05:522014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityhave not tried
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000849: "[otherwise if]" is accepted on its own
DescriptionThe attached source is unexpectedly accepted.

(This came up breaking apart a longer say statement to avoid nested ifs. I accidentally left two cases together, and the compiler didn't catch it.)
Minimal Source Text To Reproduce
There is a room.
When play begins: say "[otherwise if true is true]".
Additional InformationThe category might well be wrong.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0002406)
graham (administrator)
2014-01-28 14:37

Most of the ways to nest these wrongly were already caught; now this one is too (and also the possibility of wrongly-placed uses of unconditional [otherwise]).

- Issue History
Date Modified Username Field Change
2012-01-26 05:52 EmacsUser New Issue
2012-06-20 08:05 curiousdannii Status new => confirmed
2014-01-28 14:37 graham Note Added: 0002406
2014-01-28 14:37 graham Status confirmed => resolved
2014-01-28 14:37 graham Resolution open => fixed
2014-01-28 14:37 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker